
Infrastructure - Task #2340

Story # 2335 (Closed): cn-sandbox environment needs deployment and testing for RC2

CN Sandbox RC2 CNCore.getLogRecords() fails with 404 NotFound

2012-02-14 22:13 - Chris Jones

Status: Closed Start date: 2012-02-14

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Tested:

curl -v "https://cn-sandbox.dataone.org/cn/v1/log"

Returned:

<?xml version="1.0" encoding="UTF-8"?>

Not Found: The server has not found anything matching the Request-URI.

Log on cn-sandbox-orc-1 shows:

20120214-17:10:22: [DEBUG]: No handler mapping found for [/v1/log]

[org.springframework.web.servlet.handler.BeanNameUrlHandlerMapping]

History

#1 - 2012-02-29 16:15 - Chris Jones

- Status changed from New to Closed

/log is now returning a properly formatted log list (albeit empty right now).
